// 请编程，输入一个整数，输出它的所有因数。
#include <stdio.h>

int main()
{
    int num;
    printf("请输入一个整数: ");
    scanf("%d", &num);
    int i = 1;
    printf("%d 的因数有: ", num);
    while (i <= num)
    {
        if (num % i == 0)
            printf("%d ", i);
        i++;
    }
    printf("\n");

    return 0;
}